Skip to main content
`Ctrl`+`K`

# MatFDColoringUseDM

allows a `MatFDColoring` object to use the `DM` associated with the matrix to compute a `IS_COLORING_LOCAL` coloring

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode MatFDColoringUseDM(Mat coloring, MatFDColoring fdcoloring)

## Input Parameters

- coloring - The matrix to get the `DM` from

- fdcoloring - the `MatFDColoring` object

## Developer Note

This routine exists because the PETSc `Mat` library does not know about the `DM` objects

## See Also

DM Basics, `DM`, `MatFDColoring`, `MatFDColoringCreate()`, `ISColoringType`

## Level

advanced

## Location

src/dm/interface/dm.c

## Examples

src/snes/tutorials/ex14.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages